gi-cairo-1.0.29: Cairo bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Cairo.Structs.Surface

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype Surface = Surface (ManagedPtr Surface)

# Exported types

newtype Surface Source #

Memory-managed wrapper type.

Constructors

Surface (ManagedPtr Surface) |

#### Instances

Instances details

Eq Surface Source # |
Instance details Defined in GI.Cairo.Structs.Surface Methods (==) :: Surface -> Surface -> Bool Source # (/=) :: Surface -> Surface -> Bool Source #
GBoxed Surface Source # |
Instance details Defined in GI.Cairo.Structs.Surface
ManagedPtrNewtype Surface Source # |
Instance details Defined in GI.Cairo.Structs.Surface Methods toManagedPtr :: Surface -> ManagedPtr Surface Source #
TypedObject Surface Source # |
Instance details Defined in GI.Cairo.Structs.Surface Methods glibType :: IO GType Source #
HasParentTypes Surface Source # |
Instance details Defined in GI.Cairo.Structs.Surface
IsGValue (Maybe Surface) Source # | Convert `Surface` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.Surface Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Surface -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Surface) Source #
type ParentTypes Surface Source # |
Instance details Defined in GI.Cairo.Structs.Surface type ParentTypes Surface = '[] :: [Type]

# Methods